package com.liang.WT.entity;

import lombok.Data;
import java.io.Serializable;
import java.sql.Date;

/**
 * @Author ly
 * @Date 2025/4/2 14:19
 * @Version 1.0
 */
@Data
public class BugManagementEntity extends UtilEntity implements Serializable {

    /**
     * 主键id
     */
    private Integer id;

    /**
     * 项目id
     */
    private Integer xmid;

    /**
     * 工作类型 value
     */
    private String workType;

    /**
     * 工作类型 code 值
     */
    private String workCode;

    /**
     * 开始时间
     */
    private Date beginTime;

    /**
     * 结束时间
     */
    private Date comeTime;


    /**
     * 优先级
     */
    private String priorityType;

    private String priorityCode;

    /**
     * 标识符
     */

    private String riskType;

    private String riskCode;

    /**
     * 需求类型
     */
    private String reType;
    private String reCode;

    /**
     * 需求来源
     */
    private String demandType;
    private String demandCode;

    /**
     * 缺陷标题
     */
    private String title;
    /**
     * 缺陷描述
     */
    private String descripTion;
    /**
     * 负责人
     */
    private String leader;
    /**
     * 负责人姓名
     */
    private String leaderName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目编号
     */
    private String code;

    /**
     * 备注消息
     */
    private String remark;

    private Integer Flag;

}
