package com.liang.controller;

import com.liang.common.JsonTool;
import com.liang.entity.PrjAnnualbudgetXgjl;
import com.liang.service.PrjAnnualbudgetService;
import com.liang.service.PrjAnnualbudgetXgjlService;
import com.liang.vo.PrjAnnualbudgetNfVo;
import com.liang.vo.PrjAnnualbudgetYzxqkVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

@Controller
@Slf4j
@RequestMapping("prjAnnualbudgetXgjl")
public class PrjAnnualbudgetXgjlController {

    @Resource
    private PrjAnnualbudgetXgjlService prjAnnualbudgetXgjlService;

    /**
     * 获取项目修改记录
     *
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/getXGJL/{nys}", method = RequestMethod.POST)
    public Object getXGJL(@PathVariable Integer nys) {
        List<PrjAnnualbudgetXgjl> prjAnnualbudgetXgjlList=prjAnnualbudgetXgjlService.getXGJL(nys);
        return JsonTool.toJsonString(prjAnnualbudgetXgjlList);
    }
}
