package com.liang.entity;

import lombok.Data;

import java.sql.Date;
import java.io.Serializable;

/**
 * 年度预算(PrjAnnualbudget)实体类
 *
 * @author makejava
 * @since 2023-05-17 08:56:50
 */
@Data
public class PrjAnnualbudget implements Serializable {
    private static final long serialVersionUID = -86710206603551496L;

    private Integer id;
    /**
     * 任务书
     */
    private Integer rws;
    private String rwsmc;
    /**
     * 年份
     */
    private String nf;
    /**
     * 申请人
     */
    private Integer sqr;
    private String sqrxm;
    /**
     * 申请时间
     */
    private String sqsj;
    /**
     * 审批状态
     */
    private String spzt;
    /**
     * 可用费用信息
     */
    private String kyfyxx;
    /**
     * 说明
     */
    private String sm;
    /**
     * 名称
     */
    private String mc;
    /**
     * 项目名称
     */
    private String xmmc;
    /**
     * ERP编号
     */
    private String erpbh;
    /**
     * 项目类型
     */
    private String xmlx;
    private String xmlxmc;
    /**
     * 项目负责人/联系人
     */
    private Integer xmfzr;
    private String xmfzrxm;
    /**
     * 所属部门
     */
    private Integer ssbm;
    private String ssbmmc;
    /**
     * 项目执行期
     */
    private String xmzxq;
    /**
     * 项目总预算
     */
    private Double xmzys;
    /**
     * 电科院负责人
     */
    private String dkyfzr;
    private String dkyfzrxm;
    /**
     * 预算金额
     */
    private Double ysje;

    /**
     * 是否修改
     */
    private Integer sfxg;

    /**
     * 年度出资额
     */
    private Double czje;

    /**
     * 年度报账额
     */
    private Double bzze;

    /**
     * 申请金额
     */
    private Double sqje;

    /**
     * 已付总额
     */
    private Double yfze;

    /**
     * 出资总额
     */
    private Double czze;

    /**
     * 费用名称
     */
    private String fymc;

}

