package com.liang.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * 年度预算明细(PrjAnnualbudgetdetail)实体类
 *
 * @author makejava
 * @since 2023-05-19 21:59:13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PrjAnnualbudgetdetail implements Serializable {
    private static final long serialVersionUID = 905241563385458346L;

    private Integer id;
    /**
     * 费用名称
     */
    private String fymc;
    private String fjmc;
    /**
     * 预算金额
     */
    private Double ysje;
    /**
     * 已申请金额
     */
    private Double ysqje;
    /**
     * 年预算
     */
    private Integer nys;
    /**
     * 编码
     */
    private String bm;
    /**
     * 父级
     */
    private String fj;
    /**
     * 年份
     */
    private Integer nf;
    /**
     * 排序
     */
    private String px;
    /**
     * 合计编码
     */
    private String hjbm;
    /**
     * 备注
     */
    private String bz;
    /**
     * 单位1
     */
    private Double dw1;
    /**
     * 单位2
     */
    private Double dw2;
    /**
     * 单位3
     */
    private Double dw3;
    /**
     * 单位4
     */
    private Double dw4;
    /**
     * 单位5
     */
    private Double dw5;
    /**
     * 单位6
     */
    private Double dw6;
    /**
     * 单位7
     */
    private Double dw7;
    /**
     * 单位8
     */
    private Double dw8;
    /**
     * 单位9
     */
    private Double dw9;
    /**
     * 单位10
     */
    private Double dw10;
    /**
     * 实际预算1
     */
    private Double sjys1;
    /**
     * 实际预算2
     */
    private Double sjys2;
    /**
     * 实际预算3
     */
    private Double sjys3;
    /**
     * 实际预算4
     */
    private Double sjys4;
    /**
     * 实际预算5
     */
    private Double sjys5;
    /**
     * 实际预算6
     */
    private Double sjys6;
    /**
     * 实际预算7
     */
    private Double sjys7;
    /**
     * 实际预算8
     */
    private Double sjys8;
    /**
     * 实际预算9
     */
    private Double sjys9;
    /**
     * 实际预算10
     */
    private Double sjys10;
    /**
     * 系统计算已执行
     */
    private Double xtjsyzx;
    /**
     * 项目组
     */
    private Double xmz;
    /**
     * 备用金
     */
    private Double byj;
    /**
     * 转入金额
     */
    private Double zrje;
    /**
     * 任务书预算
     */
    private Double rwsys;
    /**
     * 项目总预算
     */
    private Double xmzys;
    /**
     * 已报账金额
     */
    private Double ybzje;
    /**
     * 转出备用金
     */
    private Double zcbyj;
    /**
     * 可用预算
     */
    private Double kyys;
    /**
     * 转出金额
     */
    private Double zcje;
    /**
     * 备用金已申请
     */
    private Double byjysq;
    /**
     * 备用金已报账
     */
    private Double byqybz;
    /**
     * 转入备用金
     */
    private Double zrbyj;
    /**
     * 实际已执行
     */
    private Double sjyzx;
    /**
     * 当年转移支付
     */
    private Double dnzyzf;

    private String xgjlxz;

    private String sptgzt;

    private BigDecimal bndsqje;
    private BigDecimal bndbzje;

    private String xg1;
    private String xg2;
    private String xg3;
    private String xg4;
    private String xg5;
    private String xg6;
    private String xg7;
    private String xg8;
    private String xg9;
    private String xg10;

    /**
     * 付款已报账
     */
    private Double bzze;
    private String xmmc;
    private Double yfze;
}

