package com.liang.entity;

import lombok.Data;

import java.time.format.DateTimeFormatter;
import java.util.Date;
import java.io.Serializable;

/**
 * 科技项目审批(PrjApproverecord)实体类
 *
 * @author makejava
 * @since 2023-05-03 13:23:11
 */
@Data
public class PrjApproverecord implements Serializable {
    private static final long serialVersionUID = 659990694017309478L;

    private Integer id;
    /**
     * 项目类型
     */
    private String tablename;
    private String xmlxmc;
    /**
     * 项目编号
     */
    private Integer xmid;
    /**
     * 意见
     */
    private String yj;
    private String yj2;
    /**
     * 是否需要上级审核
     */
    private Boolean sfsjsh;
    /**
     * 上级审核人
     */
    private Integer sjshr;
    private String sjshrxm;
    /**
     * 提交时间
     */
    private String tjsj;
    /**
     * 审核时间
     */
    private String shsj;
    /**
     * 提交人
     */
    private Integer tjr;
    private String tjrxm;
    /**
     * 审核人
     */
    private Integer shr;
    private String shrxm;
    /**
     * 审批操作
     */
    private String spcz;
    /**
     * 上级审核岗位
     */
    private Integer sjshgw;
    private String sjshgwmc;
    /**
     * 项目/申请
     */
    private String xm;
    /**
     * 状态
     */
    private String zt;
    /**
     * 审批状态
     */
    private String spzt;
    /**
     * 申请号
     */
    private Integer sqh;
    /**
     * 完成
     */
    private Boolean wc;
    /**
     * 审核岗位
     */
    private Integer shgw;
    private String shgwmc;
    /**
     * 附件
     */
    private String fj;
    /**
     * 是否返回
     */
    private Boolean sffh;
    /**
     * 隐藏审核人
     */
    private Boolean ycshr;
    /**
     * 组别
     */
    private String zb;
    /**
     * 所属单位
     */
    private Integer ssdw;
    private String ssdwmc;
    /**
     * 扩展名称
     */
    private String kzmc;
    /**
     * 当前岗位人员
     */
    private String dqgw;
    private String dqgwxm;
    /**
     * 关联消息编号
     */
    private String glxxbh;
    /**
     * 常用语
     */
    private String cyy;
    /**
     * 代办人
     */
    private String dbr;
    private String dbrxm;
    /**
     * 选择常用语
     */
    private Integer xzcyy;
    /**
     * 申请金额
     *
     * @return
     */
    private Double sqje;
    /**
     * 项目总预算
     *
     * @return
     */
    private Double xmzys;
    /**
     * 报账金额
     *
     * @return
     */
    private Double bzje;
    /**
     * 合同金额
     *
     * @return
     */
    private Double htje;
    /**
     * 本次付款金额
     *
     * @return
     */
    private Double bcfkje;
    /**
     * 预算金额（可研报告，任务书）
     */
    private double kysje;
    private double rysje;

    /**
     * ERP编号
     */
    private String erpbh;

    private String fymc;


}

