package com.liang.entity;

import jdk.nashorn.internal.ir.IdentNode;
import lombok.Data;

import java.sql.Date;
import java.io.Serializable;
import java.text.ParseException;
import java.text.SimpleDateFormat;

/**
 * (PrjContract)实体类
 *
 * @author makejava
 * @since 2023-06-06 12:50:45
 */
@Data
public class PrjContract implements Serializable {
    private static final long serialVersionUID = -87529680119440779L;

    private Integer id;
    /**
     * 合同名称
     */
    private String htmc;
    /**
     * 文件
     */
    private String wj;
    /**
     * 合同金额(元)
     */
    private Double htje;
    /**
     * 创建人
     */
    private Integer cjr;
    private String cjrxm;
    /**
     * 创建时间
     */
    private Date cjsj;
    /**
     * 任务书
     */
    private Integer rws;
    private String rwsmc;

    /**
     * 验收资料
     */
    private String yszl;

    /**
     * 招标批次
     */
    private String zbpc;

    /**
     * 中选单位
     */

    private String zxdw;

    /**
     * 当前数据状态
     */
    private Integer zt;

    private String zwmc;
    private String erpbh;

    private Date kssj;

    private Date jssj;

    private Double zq;

    /**
     * 审批状态
     */
    private String spzt;

    /**
     * 已付金额
     */
    private Double yfje;

    private Date yssj;

    private Integer sfsxtndw;

    private Date yqrq;
    private String  xmmc;

    private Integer sfys;

    public void setYqrq(String yqrqStr) {
        if (yqrqStr!= null &&!yqrqStr.isEmpty()) {
            try {
                java.util.Date utilDate = new SimpleDateFormat("yyyy-MM-dd").parse(yqrqStr);
                this.yqrq = new java.sql.Date(utilDate.getTime());
            } catch (ParseException e) {
                // 处理日期解析异常
                e.printStackTrace();
            }
        } else {
            this.yqrq = null;
        }
    }



}

