package com.liang.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonAppend;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;
import java.io.Serializable;

/**
 * (StaBudgetapproval)实体类
 *
 * @author makejava
 * @since 2023-04-14 10:55:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StaBudgetapproval implements Serializable {
    private static final long serialVersionUID = -68973643872982439L;

    private Integer id;
    /**
     * 项目名称(任务书)
     */
    @JsonProperty("xmmc")
    private String xmmc;
    /**
     * 项目ID
     */
    private Integer xmid;
    /**
     * 编号
     */
    @JsonProperty("bh")
    private String bh;
    /**
     * 申请说明
     */
    private String sqsm;
    /**
     * 申请金额(元)
     */
    private Double sqje;
    /**
     * 费用类别
     */
    @JsonProperty("fylb")
    private String fylb;

    private String fylbmc;

    private String fjmc;
    /**
     * 表编码
     */
    private String bbm;
    /**
     * 附件
     */
    private String fj;
    /**
     * 审核状态
     */
    private String shzt;
    /**
     * 年份
     */
    @JsonProperty("nf")
    private String nf;
    /**
     * 申请人
     */
    private String sqrxm;
    /**
     * 申请人
     */
    @JsonProperty("sqr")
    private Integer sqr;
    /**
     * 申请时间
     */
    private Date sqsj;
    @JsonProperty("sqsj1")
    private Date sqsj1;
    @JsonProperty("sqsj2")
    private Date sqsj2;
    /**
     * 申请名称
     */
    private String sqmc;
    /**
     * 审批状态
     */
    @JsonProperty("spzt")
    private String spzt;
    /**
     * 可用费用信息
     */
    private String kyfyxx;
    /**
     * 报账金额(元)
     */
    private Double bzje;
    /**
     * 报销凭证
     */
    private String bxpz;
    /**
     * 报账金额
     */
    private Double bzje2;
    /**
     * 是否备用金
     */
    @JsonProperty("sfbyj")
    private Boolean sfbyj;
    /**
     * 项目名称(可研报告)
     */
    private String kybg;
    /**
     * ERP编号
     */
    @JsonProperty("erpbh")
    private String erpbh;
    /**
     * 项目类型
     */
    @JsonProperty("xmlx")
    private String xmlx;
    private String xmlxmc;
    /**
     * 项目负责人
     */
    private Integer xmfzr;
    private String xmfzrxm;
    /**
     * 所属部门
     */

    private Integer ssbm;

    @JsonProperty("ssbmmc")
    private String ssbmmc;
    /**
     * 是否报账
     */
    @JsonProperty("sfbz")
    private Boolean sfbz;
    /**
     * 说明文件
     */
    private String smwj;
    /**
     * 不含税金额(元)
     */
    private Double bhsje;
    /**
     * 税费(元)
     */
    private Double sf;
    /**
     * 电科院负责人
     */
    @JsonProperty("dkyfzr")
    private String dkyfzr;
    private String dkyfzrxm;

    private Integer nys;
    private Double ysje;
    private String bz;
    /**
     * 项目年度经费已申请
     */
    private String xmndjfysq;


    /**
     * 批量审批新增字段
     */
    private String operations;

    @JsonProperty("sortName")
    private String sortName;
    @JsonProperty("sortOrder")
    private String sortOrder;

    private String mc;

    private String fymc;

    private Integer bzid;
    /**
     * 项目总预算
     */
    private Double xmzys;
    /**
     * 项目总报账金额
     */
    private Double zbzje;
    /**
     * 科目项目组预算
     */
    private Double kmzys;
    /**
     * 科目已报账金额
     */
    private Double kmybzje;
    /**
     * 是否退回
     */
    private Integer sfth;
    private Double byj;
    private Double sl;

    private Double byjbzze;
    /**
     *  报账审批状态
     */
    private String rspzt;

    private Double zbje;
    /**
     * 报账中费用
     */
    private Double bzzje;
}

