package com.liang.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Date;

/**
 * @Author ly
 * @Date 2024/9/5 9:54
 * @Version 1.0
 */
@Data
public class StaBudgetapprovals implements Serializable {

    /**
     * 项目名称(任务书)
     */
    @JsonProperty("xmmc")
    private String xmmc;


    /**
     * 编号
     */
    @JsonProperty("bh")
    private String bh;


    /**
     * 费用类别
     */
    @JsonProperty("fylb")
    private String fylb;


    /**
     * 年份
     */
    @JsonProperty("nf")
    private String nf;


    @JsonProperty("sqsj1")
    private Date sqsj1;
    @JsonProperty("sqsj2")
    private Date sqsj2;

    /**
     * 审批状态
     */
    @JsonProperty("spzt")
    private String spzt;

    /**
     * 是否备用金
     */
    @JsonProperty("sfbyj")
    private Boolean sfbyj;



    /**
     * ERP编号
     */
    @JsonProperty("erpbh")
    private String erpbh;
    /**
     * 项目类型
     */
    @JsonProperty("xmlx")
    private String xmlx;


    @JsonProperty("ssbmmc")
    private String ssbmmc;

    /**
     * 是否报账
     */
    @JsonProperty("sfbz")
    private Boolean sfbz;

    /**
     * 申请名称
     */
    @JsonProperty("sqmc")
    private String sqmc;

    /**
     * 申请人
     */
    @JsonProperty("sqr")
    private Integer sqr;
    @JsonProperty("fylbmc")
    private String fylbmc;

    /**
     * 电科院负责人
     */
    @JsonProperty("dkyfzr")
    private String dkyfzr;
    @JsonProperty("dkyfzrxm")
    private String dkyfzrxm;


}
