package com.liang.entity;

import lombok.Data;

import java.util.Date;
import java.io.Serializable;

/**
 * 付款申请(StaPayapproval)实体类
 *
 * @author makejava
 * @since 2023-06-05 16:03:48
 */
@Data
public class StaPayapproval implements Serializable {
    private static final long serialVersionUID = 585590734697102899L;

    private Integer id;
    /**
     * 申请类型
     */
    private String sqlx;
    /**
     * 费用申请
     */
    private Integer fysq;
    private String fysqmc;
    /**
     * 合同
     */
    private Integer ht;
    private String htmc;
    /**
     * 合同金额(万元)
     */
    private Double htje;
    /**
     * 本次付款金额(万元)
     */
    private Double bcfkje;
    /**
     * 创建人
     */
    private Integer cjr;
    private String cjrxm;
    /**
     * 创建时间
     */
    private Date cjsj;
    private String cjrq;
    private String cjsj1;
    private String cjsj2;
    /**
     * 审批状态
     */
    private String spzt;
    /**
     * 验收资料
     */
    private String yszl;
    /**
     * 付款计划
     */
    private Integer fkjh;
    private String fkjhmc;
    /**
     * 合同文件
     *
     * @return
     */
    private String htwj;
    /**
     * 任务书
     */
    private Integer rws;
    private String rwsmc;

    /**
     * 申请名称
     *
     * @return
     */
    private String sqmc;
    private String bh;

    private String xmmc;

    private String erpbh;

    private String nf;


    private Double zfje;

    private Integer xmid;

//    付款金额
    private Double fkje;
//     报账金额
    private Double bzje;

    private String type;

    /**
     * 关联付款计划已付款金额
     */
    private Double yfkje;
    /**
     * 费用类别
     */
    private Integer fylb;
    /**
     * 费用类别名称
     */
    private String fylbmc;

}

