package com.liang.entity;

import lombok.Data;

import java.sql.Date;
import java.io.Serializable;

/**
 * 报账(StaReimbursement)实体类
 *
 * @author makejava
 * @since 2023-05-16 13:06:38
 */

@Data
public class StaReimbursement implements Serializable {
    private static final long serialVersionUID = -15614819846705555L;

    private Integer id;
    /**
     * 报销凭证
     */
    private String bxpz;
    /**
     * 费用申请
     */
    private Integer fysq;
    private String fysqmc;
    private String fysqbh;
    /**
     * 报账金额(元)
     */
    private Double bzje;
    /**
     * 税率（%）
     */
    private Double sl;
    /**
     * 不含税金额(元)
     */
    private Double bhsje;
    /**
     * 税费(元)
     */
    private Double sf;
    /**
     * 报账人
     */
    private Integer bzr;
    private String bzrxm;
    /**
     * 创建时间
     */
    private Date cjsj;
    /**
     * 名称
     */
    private String mc;
    /**
     * 审批状态
     */
    private String spzt;
    /**
     * 任务书
     *
     * @return
     */
    private Integer xmid;
    private String xmmc;

    /**
     * 费用类别
     *
     * @return
     */
    private Integer fylb;
    private String fylbmc;
    /**
     * 申请金额(元)
     */
    private Double sqje;

    /**
     * 是否备用金
     */
    private String sfbyj;

    private String nf;

    private String erpbh;

    private Integer fysqid;

    private String sqrxm;

    private String ssbmmc;

    private String bh;

    private String dkyfzr;

    private String xmlx;

    private Integer sfbyjs;

    private String sqr;

    private Double yfje;

}

