package com.liang.service;

import com.liang.entity.BaseEconomicsector;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (BaseEconomicsector)表服务接口
 *
 * @author makejava
 * @since 2023-03-04 11:45:27
 */
public interface BaseEconomicsectorService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseEconomicsector queryById(String id);

    /**
     * 分页查询
     *
     * @param baseEconomicsector 筛选条件
     * @param pageRequest        分页对象
     * @return 查询结果
     */
    Page<BaseEconomicsector> queryByPage(BaseEconomicsector baseEconomicsector, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseEconomicsector 实例对象
     * @return 实例对象
     */
    BaseEconomicsector insert(BaseEconomicsector baseEconomicsector);

    /**
     * 修改数据
     *
     * @param baseEconomicsector 实例对象
     * @return 实例对象
     */
    BaseEconomicsector update(BaseEconomicsector baseEconomicsector);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseEconomicsector> queryAll();
}
