package com.liang.service;

import com.liang.entity.PrjResponsible;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (PrjResponsible)表服务接口
 *
 * @author makejava
 * @since 2023-02-16 08:28:41
 */
public interface PrjResponsibleService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjResponsible queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjResponsible 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    Page<PrjResponsible> queryByPage(PrjResponsible prjResponsible, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjResponsible 实例对象
     * @return 实例对象
     */
    PrjResponsible insert(PrjResponsible prjResponsible);

    /**
     * 修改数据
     *
     * @param prjResponsible 实例对象
     * @return 实例对象
     */
    PrjResponsible update(PrjResponsible prjResponsible);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
