package com.liang.service;

import com.liang.entity.StaBudget;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 经费预算(StaBudget)表服务接口
 *
 * @author makejava
 * @since 2023-04-09 22:07:01
 */
public interface StaStatisticalSummaryService {

    /**
     * 项目外委合同支付情况汇总表
     *
     * @param XMMC 项目名称
     * @param QSRQ 起始日期
     * @param JSRQ 结束日期
     * @return
     */
    List<HashMap<String, Object>> outPaySummary(Map map);

    List<HashMap<String, Object>> projectPay(Map map);

}
