package com.liang.service;

import com.liang.entity.SysConfigure;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (SysConfigure)表服务接口
 *
 * @author makejava
 * @since 2023-02-19 22:18:24
 */
public interface SysConfigureService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SysConfigure queryById(Integer id);

    /**
     * 分页查询
     *
     * @param sysConfigure 筛选条件
     * @param pageRequest  分页对象
     * @return 查询结果
     */
    Page<SysConfigure> queryByPage(SysConfigure sysConfigure, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param sysConfigure 实例对象
     * @return 实例对象
     */
    SysConfigure insert(SysConfigure sysConfigure);

    /**
     * 修改数据
     *
     * @param sysConfigure 实例对象
     * @return 实例对象
     */
    SysConfigure update(SysConfigure sysConfigure);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
