package com.liang.WT.entity;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author ly
 * @Date 2025/3/24 16:54
 * @Version 1.0
 */
@Data
public class ProjectEntity implements Serializable {

    /**
     * id
     */
    private Integer  id;
    /**
     * 项目名称
     */
    private String name;
    /**
     * 项目负责人
     */
    private String leader;
    /**
     * 负责人姓名
     */
    private String leaderNames;
    /**
     * 项目当前状态
     */
    private Integer  flag;
    /**
     * 项目开始时间
     */
    private String beginTime;
    /**
     * 项目结束时间
     */
    private String comeTime;
    /**
     * 项目创建时间
     */
    private Date createTime;
    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 更新人
     */
    private Integer  updateUser;
    /**
     * 备注
     */
    private String remark;
    /**
     * 项目编码
     */
    private String code;

    /**
     * 项目周期
     */
    private String xmzq;

    /**
     * 项目状态
     */
    private String status;
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 项目创建时间
     */
    private Date projectCreateTime;

    /**
     * 创建人姓名
     */
    private String createUserName;

    /**
     * 项目状态
     */
    private String dictValue;

    /**
     * 项目更新人员
     */
    private String updateUserName;

    /**
     * 项目更新时间
     */

    private Date projectUpdateTime;


}
