package com.liang.common.utils;

/**
 * @author
 * @date 2023-01-07-22:57
 * 系统常量类
 **/
public final class SystemConst {

    /**
     * 项目名称
     */
    public static final String SYSTEM_NAME = "KYGK";

    /**
     * 登录用户 令牌 Redis Key 前缀
     */
    public static final String SYSTEM_USER_KEY = "KYGK:user:key";

    /**
     * 登录用户cookie-key
     */
    public static final String SYSTEM_USER_TOKEN = "Authorization";

    /**
     * 令牌前缀
     */
    public static final String TOKEN_PREFIX = "Bearer ";

    /**
     * 用户菜单
     */
    public static final String SYSTEM_USER_MENU = "KYGK:user:menu";

    /**
     * 用户角色
     */
    public static final String SYSTEM_USER_ROLE = "KYGK:user:role";

    /**
     * 用户权限
     */
    public static final String SYSTEM_USER_PERMISSION = "KYGK:user:permission";

    /**
     * 用户登陆次数
     */
    public static final String SYSTEM_LOGIN_TIMES = "KYGK:logintimes";

    /**
     * itfc-key
     */
    public static final String SYSTEM_ITFC_KEY = "KYGK:itfckey";

    /**
     * itfc-key-permission
     */
    public static final String SYSTEM_ITFC_KEY_PERMISSION = "KYGK:itfckeypermission";

    /**
     * id-table业务流水号
     */
    public static final String SYSTEM_ID_TABLE = "KYGK:idtable";

    /**
     * 请求频率限制
     */
    public static final String SYSTEM_REQ_LIMIT = "KYGK:reqlimit";

    /**
     * 系统配置信息
     */
    public static final String SYS_CONFIGURE = "KYGK:configure";

    /**
     * 服务监控信息
     */
    public static final String SYS_SERVER_INFO = "KYGK:serverinfo";

    /**
     * 字典信息
     */
    public static final String SYS_DICT = "KYGK:dict";

    /**
     * 注册邮箱验证码信息
     */
    public static final String SYSTEM_REGISTER_EMAILCODE = "KYGK:register:code";

    /**
     * sql监控
     */
    public static final String SYSTEM_SQLMONITOR = "KYGK:sqlmonitor";
}
