package com.liang.controller;

import com.liang.common.JsonTool;
import com.liang.entity.PrjAnnualbudgetXgjl;
import com.liang.entity.PrjProjectXgjl;
import com.liang.service.PrjProjectXgjlService;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.List;

@Controller
@RequestMapping("prjProjectXgjl")
public class PrjProjectXgjlController {
    @Resource
    private PrjProjectXgjlService prjProjectXgjlService;

    /**
     * 获取项目修改记录
     *
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/getXGJL/{xmid}", method = RequestMethod.POST)
    public Object getXGJL(@PathVariable Integer xmid) {
        List<PrjProjectXgjl> prjProjectXgjlList = prjProjectXgjlService.getXGJL(xmid);
        return JsonTool.toJsonString(prjProjectXgjlList);
    }

}
