package com.liang.dao;

import com.liang.entity.BasePstasortcode;
import com.liang.entity.BaseTitle;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * (BasePstasortcode)表数据库访问层
 *
 * @author makejava
 * @since 2023-03-04 13:44:00
 */
public interface BasePstasortcodeDao {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BasePstasortcode queryById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param basePstasortcode 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<BasePstasortcode> queryAllByLimit(BasePstasortcode basePstasortcode, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param basePstasortcode 查询条件
     * @return 总行数
     */
    long count(BasePstasortcode basePstasortcode);

    /**
     * 新增数据
     *
     * @param basePstasortcode 实例对象
     * @return 影响行数
     */
    int insert(BasePstasortcode basePstasortcode);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<BasePstasortcode> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<BasePstasortcode> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<BasePstasortcode> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<BasePstasortcode> entities);

    /**
     * 修改数据
     *
     * @param basePstasortcode 实例对象
     * @return 影响行数
     */
    int update(BasePstasortcode basePstasortcode);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BasePstasortcode> queryAll();
}

