package com.liang.dao;

import com.liang.entity.PrjProjectcontacts;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * (PrjProjectcontacts)表数据库访问层
 *
 * @author makejava
 * @since 2023-02-16 08:28:41
 */
public interface PrjProjectcontactsDao {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjProjectcontacts queryById(Integer id);

    /**
     * 查询指定行数据
     *
     * @param prjProjectcontacts 查询条件
     * @param pageable           分页对象
     * @return 对象列表
     */
    List<PrjProjectcontacts> queryAllByLimit(PrjProjectcontacts prjProjectcontacts, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param prjProjectcontacts 查询条件
     * @return 总行数
     */
    long count(PrjProjectcontacts prjProjectcontacts);

    /**
     * 新增数据
     *
     * @param prjProjectcontacts 实例对象
     * @return 影响行数
     */
    int insert(PrjProjectcontacts prjProjectcontacts);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<PrjProjectcontacts> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<PrjProjectcontacts> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<PrjProjectcontacts> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<PrjProjectcontacts> entities);

    /**
     * 修改数据
     *
     * @param prjProjectcontacts 实例对象
     * @return 影响行数
     */
    int update(PrjProjectcontacts prjProjectcontacts);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

}

