package com.liang.entity;

import lombok.Data;

import java.sql.Date;
import java.io.Serializable;

/**
 * (SysUserInfo)实体类
 *
 * @author makejava
 * @since 2023-03-17 09:34:11
 */
@Data
public class SysUserInfo implements Serializable {
    private static final long serialVersionUID = 103530816119664502L;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户账号
     */
    private String account;
    /**
     * 用户密码
     */
    private String password;
    /**
     * 用户姓名
     */
    private String name;
    /**
     * 所属部门
     */
    private String deptId;
    private String deptName;
    private String deptName1;
    private String deptName2;
    /**
     * 电话
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 头像地址
     */
    private String avatar;
    /**
     * 性别（0--未知 1--男 2--女）
     */
    private String sex;
    /**
     * 状态（0--正常 1--冻结）
     */
    private String status;
    /**
     * 删除标志（0--未删除 1--已删除）
     */
    private String delFlag;
    /**
     * 创建者
     */
    private Integer createUser;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新者
     */
    private Integer updateUser;
    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 岗位
     */
    private String userPost;
    private String userPostName;


   private String bz;
}
