package com.liang.service;

import com.liang.entity.BaseProjecttype;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BaseProjecttype)表服务接口
 *
 * @author makejava
 * @since 2023-03-14 15:30:21
 */
public interface BaseProjecttypeService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseProjecttype queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseProjecttype 筛选条件
     * @param pageRequest     分页对象
     * @return 查询结果
     */
    Page<BaseProjecttype> queryByPage(BaseProjecttype baseProjecttype, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseProjecttype 实例对象
     * @return 实例对象
     */
    BaseProjecttype insert(BaseProjecttype baseProjecttype);

    /**
     * 修改数据
     *
     * @param baseProjecttype 实例对象
     * @return 实例对象
     */
    BaseProjecttype update(BaseProjecttype baseProjecttype);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取项目类型
     *
     * @return
     */
    List<Map<String, String>> getXMLX();
}
