package com.liang.service;

import com.liang.entity.PrjProjectcontacts;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (PrjProjectcontacts)表服务接口
 *
 * @author makejava
 * @since 2023-02-16 08:28:41
 */
public interface PrjProjectcontactsService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjProjectcontacts queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjProjectcontacts 筛选条件
     * @param pageRequest        分页对象
     * @return 查询结果
     */
    Page<PrjProjectcontacts> queryByPage(PrjProjectcontacts prjProjectcontacts, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjProjectcontacts 实例对象
     * @return 实例对象
     */
    PrjProjectcontacts insert(PrjProjectcontacts prjProjectcontacts);

    /**
     * 修改数据
     *
     * @param prjProjectcontacts 实例对象
     * @return 实例对象
     */
    PrjProjectcontacts update(PrjProjectcontacts prjProjectcontacts);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
