package com.liang.service;

import com.liang.entity.SysLoginLog;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (SysLoginLog)表服务接口
 *
 * @author makejava
 * @since 2023-02-19 21:37:38
 */
public interface SysLoginLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param logId 主键
     * @return 实例对象
     */
    SysLoginLog queryById(String logId);

    /**
     * 分页查询
     *
     * @param sysLoginLog 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<SysLoginLog> queryByPage(SysLoginLog sysLoginLog, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param sysLoginLog 实例对象
     * @return 实例对象
     */
    SysLoginLog insert(SysLoginLog sysLoginLog);

    /**
     * 修改数据
     *
     * @param sysLoginLog 实例对象
     * @return 实例对象
     */
    SysLoginLog update(SysLoginLog sysLoginLog);

    /**
     * 通过主键删除数据
     *
     * @param logId 主键
     * @return 是否成功
     */
    boolean deleteById(String logId);

}
