package com.liang.service;

import com.liang.entity.ViewApproveRecord;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (ViewApproveRecord)表服务接口
 *
 * @author makejava
 * @since 2023-05-03 12:25:56
 */
public interface ViewApproveRecordService {

    /**
     * 通过ID查询单条数据
     *
     * @param id
     * @return 实例对象
     */
    ViewApproveRecord queryById(Integer id);

    /**
     * 分页查询
     *
     * @param viewApproveRecord 筛选条件
     * @param pageRequest       分页对象
     * @return 查询结果
     */
    Page<ViewApproveRecord> queryByPage(ViewApproveRecord viewApproveRecord, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param viewApproveRecord 实例对象
     * @return 实例对象
     */
    ViewApproveRecord insert(ViewApproveRecord viewApproveRecord);

    /**
     * 修改数据
     *
     * @param viewApproveRecord 实例对象
     * @return 实例对象
     */
    ViewApproveRecord update(ViewApproveRecord viewApproveRecord);

    /**
     * 通过主键删除数据
     *
     * @param id
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 数据分页查询
     *
     * @param paraMap
     * @return
     */
    List<ViewApproveRecord> getApproveRecordList(Map<String, String> paraMap);
}
